<?php

declare(strict_types=1);

namespace Drupal\role_enum\Exception;

final class UnknownMappingException extends \Exception {

  private function __construct(
    string $message = "",
    ?\Throwable $previous = NULL,
  ) {
    parent::__construct($message, previous: $previous);
  }

  public static function create(string $enumString): static {
    return new static(\sprintf('Missing generated ID for  %s. Try rebuilding the container.', $enumString));
  }

}
