<?php

declare(strict_types=1);

namespace Drupal\role_enum_invalid_permission_test\Permissions;

use Drupal\role_enum\Enum\PermissionsInterface;

enum InvalidPermissions: string implements PermissionsInterface {

  case INVALID_PERMISSION = 'invalid permission';
  case INVALID_PERMISSION_OTHER = 'invalid permission_other';

  public function id(): string {
    return $this->value;
  }

}
