<?php

declare(strict_types=1);

namespace Drupal\role_enum_invalid_permission_test\Role;

use Drupal\role_enum\Attribute\Permissions;
use Drupal\role_enum\Enum\ConfigBackedRoleInterface;
use Drupal\role_enum_invalid_permission_test\Permissions\InvalidPermissions;

/**
 * Roles derived from this enum.
 */
enum InvalidRoles: string implements ConfigBackedRoleInterface {

  #[Permissions(permissions: [
    'invalid permission string',
    InvalidPermissions::class,
    InvalidPermissions::INVALID_PERMISSION_OTHER,
  ])]
  case Role1 = 'invalid_roles';

}
