<?php

declare(strict_types=1);

namespace Drupal\role_enum_test\Permissions;

use Drupal\role_enum\Attribute\AsPermissions;
use Drupal\role_enum\Enum\PermissionsInterface;

#[AsPermissions]
enum PermissionsThree implements PermissionsInterface {

  case E;
  case F;

  public function id(): string {
    return match($this) {
      self::E => 'role_enum_test three e',
      self::F => 'role_enum_test three f',
    };
  }

}
