<?php

declare(strict_types=1);

namespace Drupal\role_enum\Attribute;

/**
 * Whether the role should have all permissions.
 *
 * Equivalent to `is_admin` provided by configuration.
 *
 * Does not work with \Drupal\role_enum\Enum\ExternalConfigBackedRoleInterface.
 */
#[\Attribute(flags: \Attribute::TARGET_CLASS_CONSTANT)]
final class AllPermissions {

  public function __construct() {}

}
