<?php

declare(strict_types=1);

namespace Drupal\role_enum;

use Drupal\Core\DependencyInjection\ContainerBuilder;
use Drupal\Core\DependencyInjection\ServiceProviderInterface;

/**
 * @internal
 */
final class RoleEnumServiceProvider implements ServiceProviderInterface {

  public function register(ContainerBuilder $container): void {
    $container
      ->addCompilerPass(new RoleEnumRoleCompilerPass())
      ->addCompilerPass(new RoleEnumPermissionCompilerPass());
  }

}
