<?php

declare(strict_types=1);

namespace Drupal\role_enum_test\Permissions;

use Drupal\role_enum\Enum\PermissionsInterface;

enum PermissionsTwo implements PermissionsInterface {

  case C;
  case D;

  public function id(): string {
    return match($this) {
      self::C => 'role_enum_test two c',
      self::D => 'role_enum_test two d',
    };
  }

}
