<?php

declare(strict_types=1);

namespace Drupal\role_enum_test\Role;

use Drupal\role_enum\Enum\ExternalConfigBackedRoleInterface;

/**
 * Roles backed by YAML/config.
 */
enum TestRoles: string implements ExternalConfigBackedRoleInterface {

  case Foo = 'foo';

  case Bar = 'bar';

  public function id(): string {
    return $this->value;
  }

  public function label(): string {
    return $this->name;
  }

}
